Bug 1464486 - [RFE] Align versioning schema with upstream
Summary: [RFE] Align versioning schema with upstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-appliance
Version: 4.1.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.2.0
: ---
Assignee: Yuval Turgeman
QA Contact: Pavol Brilla
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-23 14:18 UTC by Sandro Bonazzola
Modified: 2019-05-16 13:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, the version tag was used as part of the RPM's naming scheme, for example, "4.1.timestamp", which created differences between the upstream and downstream versioning schemes. In this release, the downstream versioning scheme is aligned with the upstream scheme and the timestamp has moved from the version tag to the release tag.
Clone Of:
Environment:
Last Closed: 2018-05-15 19:00:03 UTC
oVirt Team: Node
pstehlik: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1525 None None None 2018-05-15 19:02:30 UTC
Red Hat Bugzilla 1464461 None None None Never

Internal Links: 1464461

Description Sandro Bonazzola 2017-06-23 14:18:16 UTC
Downstream we have:
  rhvm-appliance-4.1.20170621.0-1.el7.noarch.rpm
while upstgream we have:
  ovirt-engine-appliance-4.1-20170622.1.el7.centos.noarch.rpm

Please align downstream versioning schema with upstream.

Comment 2 Sandro Bonazzola 2017-06-23 14:20:08 UTC
For reference, having different versioing schema leads to bugs like bug #1464461 where the test on the appliance version fails because upstream it's detected like version "4.1" while downstream is detected ad "4.1.20170621.0".

Comment 7 Pavol Brilla 2017-11-08 12:36:43 UTC
Comparison on lastest provided builds:

	rhvm-appliance-4.1.20171102.0-1.el7.noarch.rpm

	rhvm-appliance-4.2-20171102.0.el7.noarch.rpm

Comment 12 errata-xmlrpc 2018-05-15 19:00:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1525

Comment 13 Franta Kust 2019-05-16 13:05:16 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.